Name:           morris
Version:        0.3
Release:        %mkrel 1
Summary:        Nine men's morris game
License:        GPLv3
Group:          Games/Strategy
URL:            http://nine-mens-morris.net/index.html
#https://github.com/farindk/morris/
Source:         morris-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  cmake(Boost)
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.4

#For integration
Requires:       xdg-utils

%description
Morris is an implementation of the board game "Nine Men's Morris".
Other names for this game are: Mills, Merrills, Morris, or Mühle in
German.
This implementation of Nine Men's Morris supports not only the
standard game, but also several rule-variants and different board
layouts. You can play against the computer, or simply use the
program to present the board, but play against another human
opponent. The computer opponent learns from previous games and
tries not to make the same mistake twice.

%prep
%setup -q

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
install -Dpm 0644 man/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_datadir}/glib-2.0/schemas/net.nine-mens-morris.gschema.xml
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6.xz

%changelog
* Fri Nov 4 2022 squidf <squid-f> 0.3-1
- First build for MGA8 
